<?php

#########################################################################################################
#  version-check-sample.php
#
#  Copyright (C) Softnik Technologies. All rights reserved.
#
#  Sample PHP script that compares the versions of master installation and local installation and 
#  triggers a shell script if the local version is older.
#
#  Useful in Professional Edition installations that have a master DB server and a number of secondary
#  servers. You can edit and use this script to auto-update the secondary installations.
#
#########################################################################################################

# Please edit below if you move this script to a different folder.

require_once(dirname(__FILE__) . "/../../../config.php");
require_once(dirname(__FILE__) . "/../base.php");
require_once(dirname(__FILE__) . "/../version.php");

#########################################################################################################

connect_to_mysql_and_select_db();

#########################################################################################################

$this_version = get_build_index();
$master_version = get_version_index("master");

echo "<p>This Version: $this_version.</p>";
echo "<p>Master Version: $master_version.</p>";

if($master_version > $this_version)
	shell_exec("script_path_to_run");   # Example:  shell_exec("/usr/home/wmdsed/update.sh");

#########################################################################################################

?>
